using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace _02trade
{
    public partial class Авторизация : Form
    {
        public Авторизация()
        {
            InitializeComponent();
        }

        private void pictureBox1_Click(object sender, EventArgs e)
        {

        }

        private void pictureBox2_Click(object sender, EventArgs e)
        {

        }

        private void Вход_Click(object sender, EventArgs e)
        {
            {
                var loginUser = Логин.Text;
                var passUser = Пароль.Text;

              DataBase db = new DataBase();

                SqlDataAdapter adapter = new SqlDataAdapter();
                DataTable table = new DataTable();

                string querystring = $"select UserID, UserSurname, UserName, UserPatronymic, UserLogin, UserPassword,UserRole from UserTable where UserLogin = '{loginUser}' and UserPassword = '{passUser}'";

                SqlCommand command = new SqlCommand(querystring, db.GetConnection());

                adapter.SelectCommand = command;
                adapter.Fill(table);

                if (table.Rows.Count == 1)
                {
                    MessageBox.Show("Вы успешно вошли!", "Успешно!", MessageBoxButtons.OK, MessageBoxIcon.Information);
                    Форма_Администратора f2 = new Форма_Администратора();
                    this.Hide();
                    f2.ShowDialog();
                    this.Show();
                    this.Hide();
                    
                }
                else
                {
                    MessageBox.Show("Такого аккаунта не существует", "Аккаунта не существует", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                    Капча f1 = new Капча();
                    f1.Show();
                }
             
            }
        }

        private void Выход_Click(object sender, EventArgs e)
        {
            MessageBoxButtons msb = MessageBoxButtons.YesNo;
            String message = "Вы действительно хотите выйти?";
            String caption = "Выход";
            if (MessageBox.Show(message, caption, msb) == DialogResult.Yes)
                this.Hide();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Товар fr = new Товар();
            fr.Show();
            this.Close();
        }
    }
}
